#!/bin/sh

(automake --version) < /dev/null > /dev/null 2>&1 || {
	echo;
	echo "You must have automake installed to compile gtkatlantic";
	echo;
	exit;
}

(autoconf --version) < /dev/null > /dev/null 2>&1 || {
	echo;
	echo "You must have autoconf installed to compile gtkatlantic";
	echo;
	exit;
}

echo "Generating configuration files for gtkatlantic, please wait...."
echo;

aclocal $ACLOCAL_FLAGS || exit;
autoheader || exit;
automake --add-missing --copy;
autoconf || exit;
automake || exit;

echo;
echo "You can now run ./configure to check dependencies"
echo;
